Groovy 1.7.0

## groovy.lang
Class MetaExpandoProperty

    java.lang.Object
      groovy.lang.MetaProperty
          groovy.lang.MetaExpandoProperty

    class MetaExpandoProperty
    extends MetaProperty

Represents a property in an Expando object

author:
  John Stump

version:
  $Revision: 6778 $

Field Summary
`Object` | `value`

Fields inherited from class MetaProperty
name, type

Constructor Summary
`MetaExpandoProperty(Entry entry)`

Method Summary
`Object` | `getProperty(Object object)`
`void` | `setProperty(Object object, Object newValue)` Sets the property on the given object to the new value

Methods inherited from class MetaProperty
getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### value

    Object value

Constructor Detail

### MetaExpandoProperty

    public MetaExpandoProperty(Entry entry)

Method Detail

### getProperty

    public Object getProperty(Object object)

  return:
    the property of the given object
  throws:
    Exception if the property could not be evaluated

### setProperty

    public void setProperty(Object object, Object newValue)

  Sets the property on the given object to the new value
  param:
    object on which to set the property
  param:
    newValue the new value of the property

Copyright © 2003-2009 The Codehaus. All rights reserved.